@echo Dieses Script wird versuchen, Schluessel und Konfigurationsdaten
@echo zu importieren (die sich im selben Verzeichnis befinden muessen).
@echo.
@echo Wenn Sie das moechten, dann druecken Sie Enter; anderenfalls
@echo beenden Sie dieses Script (Fenster schlieszen).
@pause

@IF EXIST "%APPDATA%\gnupg\pubring.gpg.bak" @goto SKIPPUBRING
@copy "%APPDATA%\gnupg\pubring.gpg" "%APPDATA%\gnupg\pubring.gpg.bak"
:SKIPPUBRING
@IF EXIST "%APPDATA%\gnupg\secring.gpg.bak" @goto SKIPSECRING
@copy "%APPDATA%\gnupg\secring.gpg" "%APPDATA%\gnupg\secring.gpg.bak"
:SKIPSECRING
@set /p antwort=Soll die vorhandene Konfigurationsdatei ersetzt werden? (j/n): 
@IF "%antwort%" NEQ "j" goto SKIPCONF
@IF EXIST "%APPDATA%\gnupg\gpg.conf.bak" @goto SKIPCONFBAK
@copy "%APPDATA%\gnupg\gpg.conf" "%APPDATA%\gnupg\gpg.conf.bak"
:SKIPCONFBAK
@copy gpg.conf.win "%APPDATA%\gnupg\gpg.conf"
:SKIPCONF

@for %%f in (0x*.public.asc) do (
   @gpg --ignore-time-conflict --import %%f
)
@for %%f in (*.secret-subkeys.asc) do (
   @gpg --ignore-time-conflict --import %%f
)
@gpg --import-ownertrust < ownertrust.txt
@gpg --check-trustdb
@pause

@echo.
@echo.
@echo Nun sollte die Transportpassphrase geaendert werden.
@echo Sie koennen das jetzt im Script machen; das ist komplizierter.
@echo Oder Sie machen das jetzt in einer grafischen Schluesselverwaltung
@echo (z.B. der von Enigmail) und machen erst danach mit dem Script weiter.
@echo.
@set /p antwort=Soll das Script die Passphrase aendern? (j/n): 
@IF "%antwort%" NEQ "j" goto SKIPPASSPHRASE
@echo.
@echo Aendern Sie jetzt die Transportpassphrase in die normale.
@echo.
@for %%f in (0x????????) do (
   @set SHORTID=%%f
)
@IF "%SHORTID%" NEQ "" goto IDOK
@echo Leider konnte die short ID (0x12345678) Ihres Schluessels nicht
@echo automatisch bestimmt werden.
@echo.
@set /p SHORTID=Geben Sie jetzt (ohne Leerzeichen) die short ID ein: 
:IDOK
@echo WICHTIGER HINWEIS:
@echo Nach dem Aendern speichern Sie die neue Passphrase
@echo am gpg-Prompt in diesem Fenster mit save.
@echo Druecken Sie erst dann Enter, wenn Sie das verstanden haben.
@pause
@gpg --edit-key %SHORTID% passwd
:SKIPPASSPHRASE

@echo.
@echo.
@set /p antwort=Soll der lokale Zertifizierungsschluessel importiert werden? (j/n): 
@IF "%antwort%" NEQ "j" goto SKIPLCKEY
@gpg --ignore-time-conflict --import lckey.public.asc
@echo Die eben geaenderte Passphrase wird nun wohl gleich benoetigt,
@echo um eine Datei zu entschluesseln.
@pause
@gpg --output lckey.secret.asc --decrypt lckey.secret.asc.asc
@gpg --ignore-time-conflict --import lckey.secret.asc
@del lckey.secret.asc
@echo.
@echo.
@echo Nun sollte die Passphrase des lckey geaendert werden; sinnvollerweise
@echo auf denselben Wert wie die des richtigen Schluessels.
@echo Sie koennen das jetzt im Script machen; das ist komplizierter.
@echo Oder Sie machen das jetzt in einer grafischen Schluesselverwaltung
@echo (z.B. der von Enigmail) und machen erst danach mit dem Script weiter.
@echo.
@set /p antwort=Soll das Script die Passphrase aendern? (j/n): 
@IF "%antwort%" NEQ "j" goto SKIPLCKEY
@echo.
@echo Aendern Sie jetzt die Transportpassphrase in die normale.
@echo.
@echo WICHTIGER HINWEIS:
@echo Nach dem Aendern speichern Sie die neue Passphrase
@echo am gpg-Prompt in diesem Fenster mit save.
@echo Druecken Sie erst dann Enter, wenn Sie das verstanden haben.
@pause
@gpg --edit-key lckey passwd
:SKIPLCKEY

cd ..\certs
@import_certs.bat

@echo.
@echo.
@echo Das Importscript ist nun am Ende.
@echo Nicht vergessen, den Schluessel auf einen Keyserver hochzuladen!

@pause
:END
