#! /bin/bash

# Lizenz / license:
# GPL v3 or later: http://www.gnu.org/licenses/gpl-3.0

# CHANGELOG
# Hauke Laging, hauke.laging (emailzeichen) openpgp-schulungen.de
#       XMPP: gnupg-support@jabber.org (OTR: http://www.hauke-laging.de/sicherheit/#mein_otr)
# 1.1, 15.04.2014, Hauke Laging
VERSION=1.1

RUN_FILE="keygeneration-time"

mode="back" # back | forward

usage () {
	echo "'$0' [--forward]"
}

if [ "--help" = "$1" ]; then
	usage
	exit 0
fi

if [ "--forward" = "$1" ]; then
	mode="forward"
fi

if [ "0" -ne "$EUID" ]; then
	echo "This script is not running as root."
	echo "Changing the system time will probably not work."
	echo
	echo "Press enter to continue..."
	read cont
fi

sub__time_change () {
	sec_since_epoch=$(date +%s)
	new_time_seconds=$((sec_since_epoch-10800))
	if date --set=@${new_time_seconds} &>/dev/null && [ -d "/run" ]; then
		mkdir -p "/run"
		touch "/run/${RUN_FILE}"
	fi
} # sub__time_change ()

sub__time_restore () {
	sec_since_epoch=$(date +%s)
	old_time_seconds=$((sec_since_epoch+10800))
	if date --set=@${old_time_seconds} &>/dev/null && [ -f "/run/${RUN_FILE}" ]; then
		rm -f "/run/${RUN_FILE}"
	fi
} # sub__time_restore ()

if [ "back" = "$mode" ]; then
	if ! [ -f "/run/${RUN_FILE}" ]; then
		# setting back once is enough
		sub__time_change
	fi
else
	sub__time_restore
fi

